Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOLVED]x11-libs/gtk+-2.10.6 failed.
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Duplicate Threads
View previous topic :: View next topic  
Author Message
todd93
Guru
Guru


Joined: 30 Oct 2006
Posts: 436
Location: Missouri

PostPosted: Thu Nov 30, 2006 8:53 pm    Post subject: [SOLVED]x11-libs/gtk+-2.10.6 failed. Reply with quote

Hi, everybody, I was upgrading to Gnome 2.16 and everything was going fine until I got to x11-libs/gtk+-2.10.6. First I had to recompile cairo with X and pdf flags. No prob, did that, now revieving a different error while it tries to emerge x11-libs/gtk+-2.10.6. I'll post the output here, I'm not sure what I need to do to correct this. Thanks

Code:
(cd .libs && rm -f im-ti-et.la && ln -s ../im-ti-et.la im-ti-et.la)
if /bin/sh ../../libtool --mode=compile i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../gdk -I../../gdk -DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DG_DISABLE_CAST_CHECKS  -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0         -DG_DISABLE_DEPRECATED  -march=i686 -O2 -pipe -Wall -MT imviqr.lo -MD -MP -MF ".deps/imviqr.Tpo" \
          -c -o imviqr.lo `test -f 'imviqr.c' || echo './'`imviqr.c; \
        then mv -f ".deps/imviqr.Tpo" ".deps/imviqr.Plo"; \
        else rm -f ".deps/imviqr.Tpo"; exit 1; \
        fi
 i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../gdk -I../../gdk -DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DG_DISABLE_CAST_CHECKS -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0 -DG_DISABLE_DEPRECATED -march=i686 -O2 -pipe -Wall -MT imviqr.lo -MD -MP -MF .deps/imviqr.Tpo -c imviqr.c  -fPIC -DPIC -o .libs/imviqr.o
/bin/sh ../../libtool --mode=link i686-pc-linux-gnu-gcc  -DG_DISABLE_DEPRECATED  -march=i686 -O2 -pipe -Wall   -o im-viqr.la -rpath /usr/lib/gtk-2.0/2.10.0/immodules -rpath /usr/lib/gtk-2.0/2.10.0/immodules -avoid-version -module  imviqr.lo ../../gdk-pixbuf/libgdk_pixbuf-2.0.la ../../gdk/libgdk-x11-2.0.la ../../gtk/libgtk-x11-2.0.la -lpangocairo-1.0 -lpango-1.0 -lX11 -latk-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lcairo -lm
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libgmodule-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libgobject-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libglib-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libpangocairo-1.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libpango-1.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libcairo.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libfontconfig.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXext.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXrender.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libX11.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXi.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXrandr.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXcursor.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXfixes.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libgmodule-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libgobject-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libglib-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libfontconfig.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXext.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXrender.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXi.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXrandr.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXcursor.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libXfixes.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libpangocairo-1.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libpango-1.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libX11.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libatk-1.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libgobject-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libgmodule-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libglib-2.0.la' seems to be moved
libtool: link: warning: `/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../..//libcairo.la' seems to be moved
i686-pc-linux-gnu-gcc -shared  .libs/imviqr.o  -Wl,--rpath -Wl,/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gdk-pixbuf/.libs -Wl,--rpath -Wl,/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gdk/.libs -Wl,--rpath -Wl,/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gtk/.libs -L/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gdk-pixbuf/.libs -L/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gdk/.libs ../../gdk-pixbuf/.libs/libgdk_pixbuf-2.0.so -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../ -L/usr/lib ../../gdk/.libs/libgdk-x11-2.0.so ../../gtk/.libs/libgtk-x11-2.0.so /usr/lib/libpangocairo-1.0.so /usr/lib/libpango-1.0.so /usr/lib/libX11.so /usr/lib/libatk-1.0.so /usr/lib/libgobject-2.0.so /usr/lib/libgmodule-2.0.so -ldl /usr/lib/libglib-2.0.so /usr/lib/libcairo.so -lm  -march=i686 -Wl,-soname -Wl,im-viqr.so -o .libs/im-viqr.so
creating im-viqr.la
(cd .libs && rm -f im-viqr.la && ln -s ../im-viqr.la im-viqr.la)
../../gtk/gtk-query-immodules-2.0 im-xim.la  im-am-et.la im-cedilla.la im-cyrillic-translit.la im-inuktitut.la im-ipa.la im-thai-broken.la im-ti-er.la im-ti-et.la im-viqr.la  > gtk.immodules
/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gtk/.libs/lt-gtk-query-immodules-2.0: error while loading shared libraries: libexpat.so.0: cannot open shared object file: No such file or directory
make[3]: *** [gtk.immodules] Error 127
make[3]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/modules/input'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6'
make: *** [all] Error 2

!!! ERROR: x11-libs/gtk+-2.10.6 failed.
Call stack:
  ebuild.sh, line 1568:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  gtk+-2.10.6.ebuild, line 112:   Called die

!!! compile failed
!!! If you need support, post the topmost build error, and the call stack if relevant.


I didn't post the entire output, it gets redundant after a while, and I have tried to re-emerge gcc, no luck.


Last edited by todd93 on Fri Dec 01, 2006 4:55 pm; edited 1 time in total
Back to top
View user's profile Send private message
Keruskerfuerst
Veteran
Veteran


Joined: 01 Feb 2006
Posts: 1749

PostPosted: Thu Nov 30, 2006 9:25 pm    Post subject: Reply with quote

Please post /etc/make.conf
Back to top
View user's profile Send private message
todd93
Guru
Guru


Joined: 30 Oct 2006
Posts: 436
Location: Missouri

PostPosted: Thu Nov 30, 2006 9:33 pm    Post subject: Reply with quote

Keruskerfuerst wrote:
Please post /etc/make.conf


# These settings were set by the catalyst build script that automatically built this stage
# Please consult /etc/make.conf.example for a more detailed example
#CFLAGS="-O2 -march=i686 -pipe"
CFLAGS="-march=i686 -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CXXFLAGS="${CFLAGS}"
MAKEOPTS=""
ACCEPT_KEYWORDS="~x86"
USE=" X alsa arts avi berkdb bitmap-fonts cairo cdr cli crypt cups dbus dlloader dri dvd dvdr eds elibc_glibc emboss encode esd fam firefox fortran gdbm gif gnome gpm gstreamer gtk input_devices_evdev input_devices_keyboard input_devices_mouse ipv6 isdnlog jpeg kde kernel_linux ldap libg++ mad mikmod mp3 mpeg ncurses nls nptl nptlonly ogg opengl oss pam pcre pdf pdflib perl png ppds pppd python qt3 quicktime readline reflection sdl session spell spl ssl tcpd truetype truetype-fonts type1-fonts udev unicode userland_GNU vorbis win32codecs x86 xml xorg xv zlib"
FEATURES=""
INPUT_DEVICES="keyboard mouse"
VIDEO_CARDS="radeon"
USE="<whatever> dri"
USE="-qt3 -arts -kde gtk gnome avahi"
Back to top
View user's profile Send private message
thesheff17
Apprentice
Apprentice


Joined: 12 Jan 2005
Posts: 283

PostPosted: Fri Dec 01, 2006 8:34 am    Post subject: Reply with quote

todd93,

I tried to do #>USE="X PDF" emerge cario and this didn't work? I also tried editing the /etc/make.conf file but no luck. How did you update gtk+-2.10.6?
Back to top
View user's profile Send private message
thesheff17
Apprentice
Apprentice


Joined: 12 Jan 2005
Posts: 283

PostPosted: Fri Dec 01, 2006 9:01 am    Post subject: Reply with quote

never mind I put x11-libs/cairo pdf X inside this file /etc/portage/package.use
emerge x11-libs/cairo

This fixed the rest of the emerge --update --deep world This is an AMD DISTRO of gentoo
Back to top
View user's profile Send private message
osbourd2
Tux's lil' helper
Tux's lil' helper


Joined: 09 Mar 2004
Posts: 91
Location: Cardiff, UK

PostPosted: Fri Dec 01, 2006 9:02 am    Post subject: Reply with quote

GTK failed during a emerge -uDN world with the error about using X and pdf with cairo

I added the following to package.use, although I think the X is in my global USE flags in make.conf
Code:
x11-libs/cairo X pdf

Then did another
Code:
emerge -uDN world
which re-emerged Cairo and then GTK compiled without any problems. :)
Back to top
View user's profile Send private message
todd93
Guru
Guru


Joined: 30 Oct 2006
Posts: 436
Location: Missouri

PostPosted: Fri Dec 01, 2006 10:53 am    Post subject: Reply with quote

thesheff17 wrote:
never mind I put x11-libs/cairo pdf X inside this file /etc/portage/package.use
emerge x11-libs/cairo

This fixed the rest of the emerge --update --deep world This is an AMD DISTRO of gentoo


Yes, that was the first error, and I did put x11-libs/cairo pdf X inside /etc/portage/package.use. Re-emerged cairo that eliminated the error I was having, but now I'm getting a completely different error, it's just not wanting to install it for some reason, don't know why.
Back to top
View user's profile Send private message
todd93
Guru
Guru


Joined: 30 Oct 2006
Posts: 436
Location: Missouri

PostPosted: Fri Dec 01, 2006 4:59 pm    Post subject: Reply with quote

Ok, not sure what I did, but I re-emerged pango and cairo again, tried emerge --update --deep world and it failed a couple times, but I just kept trying and it finally emerged it without error. Not sure why it was failing, but it's ok now, as we speak I'm on 47 of 153. No errors so far. Thanks everybody!
Back to top
View user's profile Send private message
Carlino
Guru
Guru


Joined: 25 May 2005
Posts: 301
Location: Bordeaux, France

PostPosted: Sat Dec 02, 2006 9:48 pm    Post subject: Reply with quote

Hi osbourd2 !
I'm just getting this same kind of error when runing :
Code:

# emerge -Du world
....
....
!!! ERROR: x11-libs/gtk+-2.10.6 failed.
Call stack:
  ebuild.sh, line 1562:   Called dyn_setup
  ebuild.sh, line 665:   Called pkg_setup
  gtk+-2.10.6.ebuild, line 53:   Called die

!!! cairo needs the X and pdf flag set
!!! If you need support, post the topmost build error, and the call stack if relevant.

And of course I do have X and pdf flags set in USE. Would U show me how your package.use looks like ?
_________________
Core 2 Quad 9400, Asus PQ5 Pro, Nvidia Geforce GTX 66O


Last edited by Carlino on Sun Dec 03, 2006 12:15 am; edited 1 time in total
Back to top
View user's profile Send private message
i92guboj
Moderator
Moderator


Joined: 30 Nov 2004
Posts: 9752
Location: Córdoba (Spain)

PostPosted: Sat Dec 02, 2006 9:58 pm    Post subject: Reply with quote

Have you recompiled cairo with those flags set before re-trying to compile gtk?
Back to top
View user's profile Send private message
Carlino
Guru
Guru


Joined: 25 May 2005
Posts: 301
Location: Bordeaux, France

PostPosted: Sun Dec 03, 2006 12:14 am    Post subject: Reply with quote

Yes 6thpink, I just did after posting the previous thread, and it did work out. I know.... I should have done it the other way around... try, then post; Thanx anyway. But I'm still interested in that package.use file, since I don't have any, and haven't looked for what it's for yet.
_________________
Core 2 Quad 9400, Asus PQ5 Pro, Nvidia Geforce GTX 66O
Back to top
View user's profile Send private message
hitachi
Guru
Guru


Joined: 20 Feb 2006
Posts: 466

PostPosted: Thu Dec 07, 2006 11:40 pm    Post subject: Reply with quote

mine looks like this:
Quote:
net-p2p/bittornado -gtk
dev-java/blackdown-jdk nsplugin
media-video/mplayer x264
x11-libs/cairo pdf


It worked but since last --sync there is somethine I wonder about.
Code:
#emerge --sync
#emerge -DuavN world


Quote:
~ # emerge -DuavN world

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[ebuild R ] x11-libs/cairo-1.2.4 USE="X png -directfb -doc -glitz -svg (-pdf%*)" 2,815 kB
[ebuild U ] app-crypt/gnupg-1.4.6 [1.4.5-r2] USE="X ldap nls readline usb zlib -bindist -bzip2 -curl -ecc -idea (-selinux) -smartcard -static" LINGUAS="-ru" 3,075 kB
[ebuild U ] sys-fs/xfsprogs-2.8.11 [2.7.11] USE="nls" 902 kB

Total size of downloads: 6,793 kB

Would you like to merge these packages? [Yes/No] no

Quitting.



Why does portage want to remove pdf again?

Thanx
_________________
Athlon 64 X2 3800+
Micro-ATX-Mainboard in einer OEM-Version von Asus mit Nvidias nForce4 (A8NE-FM/S).
PEG-Grafikkarte von Leadtek mit Nvidia GeForce 6600
3 GB RAM
350-Watt-Netzteil (von Fortron/Source)
4 x 500GB S-ATA HDD (raid1 und raid5)
Back to top
View user's profile Send private message
Arfrever
Bodhisattva
Bodhisattva


Joined: 29 Apr 2006
Posts: 2462
Location: Polska / Lenkija

PostPosted: Fri Dec 08, 2006 10:02 am    Post subject: Reply with quote

hitachi wrote:
since last --sync there is somethine I wonder about.
Code:
#emerge --sync
#emerge -DuavN world


Quote:
~ # emerge -DuavN world

These are the packages that would be merged, in order:

Calculating world dependencies... done!
[ebuild R ] x11-libs/cairo-1.2.4 USE="X png -directfb -doc -glitz -svg (-pdf%*)" 2,815 kB
[ebuild U ] app-crypt/gnupg-1.4.6 [1.4.5-r2] USE="X ldap nls readline usb zlib -bindist -bzip2 -curl -ecc -idea (-selinux) -smartcard -static" LINGUAS="-ru" 3,075 kB
[ebuild U ] sys-fs/xfsprogs-2.8.11 [2.7.11] USE="nls" 902 kB

Total size of downloads: 6,793 kB

Would you like to merge these packages? [Yes/No] no

Quitting.



Why does portage want to remove pdf again?

http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-libs/cairo/
http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-libs/cairo/cairo-1.2.4.ebuild?r1=1.10&r2=1.11
http://sources.gentoo.org/viewcvs.py/gentoo-x86/x11-libs/cairo/cairo-1.2.6.ebuild?r1=1.2&r2=1.3
"pdf" USE flag was removed from IUSE of Cairo 1.2.* ebuilds.
Back to top
View user's profile Send private message
hitachi
Guru
Guru


Joined: 20 Feb 2006
Posts: 466

PostPosted: Sat Dec 09, 2006 7:59 am    Post subject: Reply with quote

@ Arfrever

thanks
_________________
Athlon 64 X2 3800+
Micro-ATX-Mainboard in einer OEM-Version von Asus mit Nvidias nForce4 (A8NE-FM/S).
PEG-Grafikkarte von Leadtek mit Nvidia GeForce 6600
3 GB RAM
350-Watt-Netzteil (von Fortron/Source)
4 x 500GB S-ATA HDD (raid1 und raid5)
Back to top
View user's profile Send private message
flindt
Tux's lil' helper
Tux's lil' helper


Joined: 10 Dec 2003
Posts: 112
Location: Denmark

PostPosted: Sat Dec 09, 2006 6:04 pm    Post subject: Reply with quote

Quote:

"pdf" USE flag was removed from IUSE of Cairo 1.2.* ebuilds.

Then how do one compile gtk+ that check for pfd support in cairo?

EDIT:
ok, dumb question!
Just in case any one else sinks to this level the answer is: one just compiles cairo, ignoring the fact that it does not have a pdf flag - then it works fine compiling gtk+.
Back to top
View user's profile Send private message
nightshade2069
Tux's lil' helper
Tux's lil' helper


Joined: 08 Dec 2006
Posts: 140

PostPosted: Fri Dec 15, 2006 6:58 pm    Post subject: Reply with quote

Okay you all missed the key element here a missing link to the following file libexpat.so.0

In the compile error you will see it can not file this file. You will need to go to /usr/lib/

type this: ln -s libexpat.so.1.5.0 libexpat.so.0


Then it should look like this:

-rw-r--r-- 1 root root 157648 Dec 15 12:41 libexpat.a
-rw-r--r-- 1 root root 793 Dec 15 12:41 libexpat.la
lrwxrwxrwx 1 root root 17 Dec 15 12:41 libexpat.so -> libexpat.so.1.5.0
lrwxrwxrwx 1 root root 17 Dec 15 12:54 libexpat.so.0 -> libexpat.so.1.5.0
lrwxrwxrwx 1 root root 17 Dec 15 12:41 libexpat.so.1 -> libexpat.so.1.5.0
-rwxr-xr-x 1 root root 122352 Dec 15 12:41 libexpat.so.1.5.0


After that try and emerge it agian and you will find it works. It appears that the sym link has gone missing but that will correct it.

Good luck.



Quote:
-Wl,/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gdk-pixbuf/.libs -Wl,--rpath -Wl,/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gdk/.libs -Wl,--rpath -Wl,/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gtk/.libs -L/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gdk-pixbuf/.libs -L/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gdk/.libs ../../gdk-pixbuf/.libs/libgdk_pixbuf-2.0.so -L/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/../../../ -L/usr/lib ../../gdk/.libs/libgdk-x11-2.0.so ../../gtk/.libs/libgtk-x11-2.0.so /usr/lib/libpangocairo-1.0.so /usr/lib/libpango-1.0.so /usr/lib/libX11.so /usr/lib/libatk-1.0.so /usr/lib/libgobject-2.0.so /usr/lib/libgmodule-2.0.so -ldl /usr/lib/libglib-2.0.so /usr/lib/libcairo.so -lm -march=i686 -Wl,-soname -Wl,im-viqr.so -o .libs/im-viqr.so
creating im-viqr.la
(cd .libs && rm -f im-viqr.la && ln -s ../im-viqr.la im-viqr.la)
../../gtk/gtk-query-immodules-2.0 im-xim.la im-am-et.la im-cedilla.la im-cyrillic-translit.la im-inuktitut.la im-ipa.la im-thai-broken.la im-ti-er.la im-ti-et.la im-viqr.la > gtk.immodules
/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/gtk/.libs/lt-gtk-query-immodules-2.0: error while loading shared libraries: libexpat.so.0: cannot open shared object file: No such file or directory
make[3]: *** [gtk.immodules] Error 127
make[3]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/modules/input'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6/modules'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.10.6/work/gtk+-2.10.6'
make: *** [all] Error 2

!!! ERROR: x11-libs/gtk+-2.10.6 failed.
Call stack:
ebuild.sh, line 1568: Called dyn_compile
ebuild.sh, line 937: Called src_compile
gtk+-2.10.6.ebuild, line 112: Called die

!!! compile failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
Back to top
View user's profile Send private message
desultory
Administrator
Administrator


Joined: 04 Nov 2005
Posts: 7818

PostPosted: Mon May 21, 2007 7:47 am    Post subject: Reply with quote

Moved from Portage & Programming to Duplicate Threads, refer to topic "Please re-emerge [solved]".

As noted in the handbook USE flags specified via environment variables are not retained as persistent settings so, aside from when a given USE flag setting is itself transient in nature, use one of the persistent USE flag setting methods (/etc/make.conf, /etc/portage/package.use). Also, note that USE flags are case sensitive.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Duplicate Threads All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum